.footer {
  padding: 7rem 10rem;

  @media (max-width: $sizing-breakpoint-xxxl) {
    padding: 5rem 3rem;
  }

  @media (max-width: $sizing-breakpoint-xl) {
    padding: 5rem 1rem;
  }

  @media (max-width: $sizing-breakpoint-m) {
    padding: 2rem $sizing-page-margin-side;
  }
}

.footerFlexer {
  @media (max-width: $sizing-breakpoint-m) {
    flex-direction: column;
  }
}

.cell {
  flex: 1;
  padding: 0 1rem;
}

.logoCell {
  flex: 1.25;

  @media (max-width: $sizing-breakpoint-m) {
    display: flex;
    order: 4;
  }
}

.logoImg {
  max-width: 11rem;
  width: 100%;
  margin: auto;

  @media (max-width: $sizing-breakpoint-m) {
    max-width: 8rem;
  }
}

.infoCell {
  flex: 1.75;
  font-size: 1.1rem;
  line-height: 1.5rem;
  color: $color-font-4;

  @media (max-width: $sizing-breakpoint-m) {
    order: 3;
    margin-bottom: 3rem;
    text-align: center;
  }
}

.addressName {
  @media (max-width: $sizing-breakpoint-m) {
    display: none;
  }
}

.socials {
  margin-top: 2rem;
}

.socialIcon {
  display: inline-block;
  height: 1.35rem;
  margin: 0 0.75rem;

  &:first-child {
    margin-left: 0;
  }

  &:last-child {
    margin-right: 0;
  }

  svg {
    height: inherit;
  }
}

.copyright {
  padding-top: 2.5rem;
  color: $color-font-2;
}

.companyDetails {
  padding-top: 0.5rem;
  color: $color-font-2;

  span {
    padding: 0 0.5rem;

    &:first-child {
      padding-left: 0;
    }

    &:last-child {
      padding-right: 0;
    }
  }
}

%linkCell {
  font-size: 1.3rem;
  font-weight: bold;

  @media (max-width: $sizing-breakpoint-m) {
    text-align: center;
  }
}

.linkCellOne {
  @extend %linkCell;

  @media (max-width: $sizing-breakpoint-m) {
    order: 1;
    margin-bottom: 1.75rem;
  }
}

.linkCellTwo {
  @extend %linkCell;

  @media (max-width: $sizing-breakpoint-m) {
    order: 2;
    margin-bottom: 3rem;
  }
}

.footerLink {
}

.footerLinkTerms {
  :global .wide {
    @media (max-width: $sizing-breakpoint-xxl) {
      display: none;
    }
  }

  :global .thin {
    display: none;

    @media (max-width: $sizing-breakpoint-xxl) {
      display: block;
    }
  }
}

.footerLinkPrivacy {
  :global .wide {
    @media (max-width: $sizing-breakpoint-l) {
      display: none;
    }
  }

  :global .thin {
    display: none;

    @media (max-width: $sizing-breakpoint-l) {
      display: block;
    }
  }
}

.footerLinkPreview {
  :global .wide {
    @media (max-width: $sizing-breakpoint-l) {
      display: none;
    }
  }

  :global .thin {
    display: none;

    @media (max-width: $sizing-breakpoint-l) {
      display: block;
    }
  }
}
